\section{Cell models}

For the ventrices we decided to use the following TenTusscher model:


We have 
\begin{equation}
\partial_t v = - \frac{1}{C_\text{m}}(I_\text{ion}(v,w)+I_\text{stim}(t,x)).
\end{equation}
Then $I_\text{ion}$ is computed by
\begin{align*}
I_\text{ion}(v,w) &= I_\text{Na}(v,m,h,j)+I_\text{CaL}(v,d,f,f_2,f_{Ca})+I_\text{Ks}(v,x_s)+I_\text{to}(v,r,s)\\
&~~~ +I_\text{Kr}(v,x_{r1},x_{r2})+I_\text{K1}(v)+I_\text{NaCa}(v)+I_\text{NaK}(v)+I_\text{pCa}\\
&~~~ +I_\text{pK}(v)+I_\text{bCa}(v)+I_\text{bNa}(v).%- I_\text{stim}.
\end{align*}
In this cell model the gating variable $w(t,x)$ is specified by
\begin{align*}
w(t,x)=(m,h,j,x_{r1},x_{r2},x_s,s,r,d,f,f_2,f_{Ca})^T(t,x) \in \mathbb{R}^{12},  ~t \in [0,T]~\text{and}~ x \in \Omega. 
\end{align*}
Here $I_\text{stim}$ is the external current and its value is given in Table \ref{parameter} (I am not sure if $-I_\text{stim}$ or $+I_\text{stim}$, im Code mit $-$). All other currents are described in the next subsections.
Every $\mathbb{R}$-valued gating variable $~y=m,h,j,x_{r1},x_{r2},x_s,s,r,d,f,f_2,f_{Ca}$ is described by a Hodgkin-Huxley-type equation
\begin{equation}\label{gatingDifferentialgleichung}
\frac{dy}{dt} =\alpha_y(1-y)- \beta_y y = - (\alpha_y + \beta_y)y + \alpha_y  ,
\end{equation}
where $\alpha_y$ and $\beta_y$ are nonnegative functions of $v$. More details of this model can be found in \cite{croninHodgkin}. If we assume  $\alpha_y$ and $\beta_y$ to be constant then 
\begin{equation}
y(t) = \frac{\alpha_y}{\alpha_y + \beta_y} - K \e^{-(\alpha_y + \beta_y)t},
\end{equation}
is a solution of \eqref{gatingDifferentialgleichung} for a constant $K$ to be specified. If we impose the initial condition
\begin{equation*}
y(0)=y_0,
\end{equation*}
we get 
\begin{equation*}
y(t) = \frac{\alpha_y}{\alpha_y + \beta_y}-\Big(\frac{\alpha_y}{\alpha_y + \beta_y}-y_0\Big)\cdot \e^{-(\alpha_y + \beta_y)t}.
\end{equation*}
To simplify the eqauation we introduce for $y=m,h,j,x_{r1},x_{r2},x_s,s,r,d,f,f_2,f_{Ca}$
\begin{align*}
y_\infty &=  \frac{\alpha_y}{\alpha_y + \beta_y}\\
\tau_y &= \frac{1}{\alpha_y + \beta_y}.
\end{align*}
Then in every iteration step $t_n$ one can compute the solution of \eqref{gatingDifferentialgleichung} for $t_n +{\vartriangle}t$ with
\begin{equation}
y(t_n+{\vartriangle}t) = y_\infty-(y_\infty-y(t_n))\cdot\exp\Big(-\frac{{\vartriangle}t}{\tau_y}\Big).
\end{equation} 
Here the values $y_\infty$ and $\tau_y$ have to be specified for every ionic current resp. gating variable. The timestep ${\vartriangle}t$ is measured in ms.\\
The initial values for the gating variables and the concentrations of calcium, sodium and potassium can be found in Table \ref{initial_conditions}.
Also, we define the reversal potential by
\begin{align}\label{Es}
E_X &= \frac{RT}{zF}\text{log}\frac{X_o}{X_i}\qquad\text{for} ~X=\text{Na}^+, \text{K}^+,\text{Ca}^{2+},\\
E_\text{Ks}&=\frac{RT}{F}\text{log}\frac{\text{K}_o + p_\text{KNa}\text{Na}_o}{\text{K}_i + p_\text{KNa}\text{Na}_i},\label{EKs}
\end{align}
with the constant $p_\text{KNa}$ given in Table \ref{parameter}.\\
In the following sections we write $RT$ for $(RT)$.



\subsection{Fast Na$^+$ current - $I_\text{Na}$}
We have
\begin{equation}
I_\text{Na}=G_\text{Na}m^3hj(v-E_\text{Na}),
\end{equation}
where $G_\text{Na}$is a constant given in Table \ref{parameter} and $E_\text{Na}$ is computed as explained in  \eqref{Es}. The values needed for the gating varialbe $m$ are given by
\begin{align*}
m_\infty &=\frac{1}{(1+\e^{(-56.86-v)/9.03})^2}\\
\alpha_m &=\frac{1}{1+\e^{(-60-v)/5}}\\
\beta_m &= \frac{0.1}{1+\e^{(35+v)/5}}+\frac{0.1}{1+\e^{(-50+v)/200}}\\
\tau_m &= \alpha_m\beta_m,
\end{align*}
the gating variable $h$
\begin{align*}
h_\infty &=\frac{1}{(1+\e^{(71.55+v)/7.43})^2}\\
\alpha_h &=\begin{cases}0& v\geq -40 \\ 
0.057\e^{-(v+80)/6.8} & \text{else} \end{cases}\\
\beta_h &= \begin{cases} \frac{0.77}{0.13(1+\e^{-(v+10.66)/11.1})}& v\geq -40\\ &\\
 2.7\e^{0.079v}+3.1\cdot10^5\e^{0.3485v} & \text{else} \end{cases}\\
\tau_h &= \frac{1}{\alpha_h+\beta_h},
\end{align*}
and the gating varibale $j$
\begin{align*}
j_\infty&=\frac{1}{(1+\e^{(71.55+v)/7.43})^2}\\
\alpha_j &=\begin{cases}0& v\geq -40 \\ (-2.5428\cdot 10^4\e^{2.4444v}-6.948\cdot 10^{-6}\e^{-0.04391v})\frac{(v+37.78)}{1+\e^{0.311(v+79.23)}} & \text{else} \end{cases}\\
\beta_j &= \begin{cases} \frac{0.6\e^{0.057v}}{1+\e^{-0.1(v+32)}}& v\geq -40 \\ 
&\\
 \frac{0.02424\e^{-0.01052v}}{1+\e^{-0.1378(v+40.14)}} & \text{else} \end{cases}\\
\tau_j &= \frac{1}{\alpha_j+\beta_j}.
\end{align*}
\subsection{L-type Ca$^2+$ current - $I_\text{CaL}$}
We have 
\begin{equation}
I_\text{CaL} = G_\text{CaL}ff_2f_\text{ca}d4\frac{(v-15)F^2}{RT}\frac{0.25\text{Ca}_\text{SS}\e^{2(v-15)F/RT}-\text{Ca}_o}{\e^{2(v-15)F/RT}-1}
\end{equation}
where $ G_\text{CaL}$ and Ca$_o$ are constants given in Table \ref{parameter}.
The values needed to compute the gating variable $d$ are
\begin{align*}
d_\infty &=\frac{1}{1+\e^{(-8-v)/7.5}}\\
\alpha_d &=\frac{1.4}{1+\e^{(-35-v)/13}}+0.25\\
\beta_d &= \frac{1.4}{1+\e^{(5+v)/5}}\\
\gamma_d &= \frac{1.4}{1+\e^{(50-v)/20}}\\
\tau_d &= \alpha_d\beta_d+\gamma_d,
\end{align*}
the gating variable $f$
\begin{align*}
f_\infty &=\frac{1}{1+\e^{(20+v)/7}}\\
\alpha_f &=1102.5\e^{-(\frac{v+27}{15})^2}\\
\beta_f &= \frac{200}{1+\e^{(13-v)/10}}\\
\gamma_f &= \frac{180}{1+\e^{(v+30)/10}}+20\\
\tau_f &= \alpha_f+\beta_f+\gamma_f,
\end{align*}
the variable $f_2$
\begin{align*}
f_{2}\infty &=\frac{0.67}{1+\e^{(35+v)/7}}+0.33\\
\alpha_{f_2} &=600\e^{-\frac{(v+25)^2}{170}}\\
\beta_{f_2} &= \frac{31}{1+\e^{(25-v)/10}}\\
\gamma_{f_2} &= \frac{16}{1+\e^{(v+30)/10}}\\
\tau_{f_2} &= \alpha_{f_2}+\beta_{f_2}+\gamma_{f_2},
\end{align*}
and $f_\text{cass}$
\begin{align*}
f_{\text{Ca},\infty} &=\frac{0.6}{1+(\frac{\text{Ca}_{ss}}{0.05})^2}+0.4\\
\tau_{f_\text{Ca}} &= \frac{80}{1+(\frac{\text{Ca}_{ss}}{0.05})^2}+2.
\end{align*}
In the Paper \cite{tentusscher06} the notation is  $f_{\text{Ca},\infty}=f_{\text{cass}\infty}$ and $\tau_{f_\text{Ca}}=\tau_{f_\text{cass}}$. 
\subsection{Slow delayed rectifier current - $I_\text{Ks}$}
We have
\begin{equation}
I_\text{Ks} = G_\text{Ks}x_s^2(v-E_\text{Ks}),
\end{equation}
where $G_\text{KS}$ is a constant given in Table \ref{parameter} and $E_\text{KS}$ is computed as in   \eqref{EKs}.
The values needed for the gating variable $x_s$ are 
\begin{align*}
x_{s,\infty} &=\frac{1}{1+\e^{(-5-v)/14}}\\
\alpha_{x_s} &=\frac{1400}{\sqrt{1+\e^{(5-v)/6}}}\\
\beta_{x_s} &= \frac{1}{1+\e^{(-35+v)/15}}\\
\tau_{x_s} &= \alpha_{x_s}\beta_{x_s}+80.
\end{align*}
\subsection{Transient outward current - $I_\text{to}$}
We have
\begin{equation}
I_\text{to} = G_\text{to}rs(v-E_\text{K}),
\end{equation}
where $G_\text{to}$ is given in Table \ref{parameter} and $E_\text{K}$ is computed as in \eqref{Es}. The gating variable $r$ is completed via
\begin{align*}
r_\infty&=\frac{1}{1+\e^{(20-v)/6}}\\
\tau_r &= 9.5\e^{-(v+40)^2/1800}+0.8,
\end{align*}
and for $s$ we have for epicardial cells
\begin{align*}
s_\infty&=\frac{1}{1+\e^{(20+v)/5}}\\
\tau_s &= 85\e^{-(v+45)^2/320}+\frac{5}{1+\e^{(-20+v)/5}}+3,
\end{align*}
and endocaridal cells
\begin{align*}
s_\infty&=\frac{1}{1+\e^{(28+v)/5}}\\
\tau_s &= \e^{-(v+67)^2}+8.
\end{align*}
In the code only epicardial cells are used.
\subsection{Rapid delayed reectifier current - $I_\text{Kr}$}
We have
\begin{equation}
I_\text{Kr} = G_\text{Kr}\sqrt{\frac{\text{K}_o}{5.4}}x_{r1}x_{r2}(v-E_\text{K}),
\end{equation}
where $G_\text{Kr}$ and K$_o$ are given in Table \ref{parameter} and $E_\text{K}$ is computed as in \eqref{Es}. The gating variable $x_{r1}$ is completed via
\begin{align*}
x_{r1,\infty}&=\frac{1}{1+\e^{(-26-v)/7}}\\
\alpha_{x_{r1}} &=\frac{450}{1+\e^{(-45-v)/10}} \\
\beta_{x_{r1}} &=\frac{6}{1+\e^{(30+v)/11.5}}\\
\tau_{x_{r1}} &=\alpha_{x_{r1}} \beta_{x_{r1}},
\end{align*}
and $x_{r2}$ by
\begin{align*}
x_{r2,\infty}&=\frac{1}{1+\e^{(88+v)/24}}\\
\alpha_{x_{r2}} &=\frac{3}{1+\e^{(-60-v)/20}} \\
\beta_{x_{r2}} &=\frac{1.12}{1+\e^{(-60+v)/20}}\\
\tau_{x_{r2}} &=\alpha_{x_{r2}} \beta_{x_{r2}},
\end{align*}
\subsection{Inward rectifier K$^+$ current - $I_\text{K1}$}
We have
\begin{equation}
I_\text{K1} = G_\text{K1}\sqrt{\frac{\text{K}_o}{5.4}}x_{\text{K1}\infty}(v-E_\text{K}),
\end{equation}
where $G_\text{K1}$ is given in Table \ref{parameter} and $E_\text{K}$ is computed as in \eqref{Es}. The variable $x_{\text{K1},\infty}$ is determined by
\begin{align*}
\alpha_\text{K1} &=\frac{0.1}{1+\e^{0.06(v-E_\text{K}-200)}}\\
\beta_\text{K1} &=\frac{3\e^{0.0002(v-E_\text{K}+100)}+\e^{0.1(v-E_\text{K}-10)}}{1+\e^{-0.5(v-E_\text{K})}}\\
x_{\text{K1},\infty} &=\frac{\alpha_\text{K1}}{\alpha_\text{K1}+\beta_\text{K1}}
\end{align*}
\subsection{Na$^+$/Ca$^{2+}$ exchanger current - $I_\text{NaCa}$}
We have 
\begin{equation}
I_\text{NaCa}=k_\text{NaCa} \frac{\e^{\gamma vF/RT}\text{Na}_i^3\text{Ca}_o - \e^{(\gamma-1)vF/RT}\text{Na}_o^3\text{Ca}_i\alpha}
			{(\text{K}_\text{mNai}^3+\text{Na}_o^3)(\text{K}_\text{mCa}+\text{Ca}_o)(1+k_\text{sat}\e^{(\gamma-1)vF/RT})},
\end{equation}
where one can find the parameters $k_\text{NaCa}$, $\gamma$, $\alpha$, $\text{K}_\text{mCa}$ and $k_\text{sat}$ in Table \ref{parameter}.

\subsection{Na$^+$/K$^+$ pump currrent - $I_\text{NaK}$, $I_\text{pCa}$, $I_\text{pK}$}
We have 
\begin{equation}
I_\text{NaK} = P_\text{NaK}\frac{\text{K}_o\text{Na}_i}{(\text{K}_o+\text{K}_\text{mK})(\text{Na}_i + \text{K}_\text{mNa})(1+0.1245\e^{-0.1vF/RT}+0.0353\e^{-vF/RT})},
\end{equation}
where one can find the constants $P_\text{NaK}$, $\text{K}_\text{mNai}$, $\text{K}_\text{mK}$ and $\text{K}_\text{mNa}$  in Table \ref{parameter}.
Also
\begin{equation}
I_\text{pCa} = G_\text{pCa} \frac{\text{Ca}_i}{\text{K}_\text{pCa}+\text{Ca}_i},
\end{equation}
and
\begin{equation}
I_\text{pK} = G_\text{pK} \frac{v-E_\text{K}}{1+\e^{(25-v)/5.98}},
\end{equation}
where the constants $G_\text{pCa}$, $\text{K}_\text{pCa}$ and $G_\text{pK}$ are given in Table \ref{parameter}.

\subsection{Background currents - $I_\text{bNa}$ and $I_\text{bCa}$}
We have
\begin{align}
I_\text{bNa} & = G_\text{bNa}(v-E_\text{Na}), \\
I_\text{bCa} &= G_\text{bCa}(v-E_\text{Ca}),
\end{align}
with the constants $G_\text{bNa}$ and $G_\text{bCa}$ given in Table \ref{parameter}. The reversal potentials $E_\text{Na}$ and $E_\text{Ca}$ are computed as in \eqref{Es}.

\subsection{Ion-concentration updates}
For sodium we have:
\begin{equation}
\frac{d\text{Na}_i}{dt} = -\frac{I_\text{Na}+I_\text{bNa}+3I_\text{NaK}+3I_\text{NaCa}}{V_cF},
\end{equation}
where $V_c$ is a constant given in Table \ref{parameter}. For potassium the concentration change is
\begin{equation}
\frac{d\text{K}_i}{dt} = -\frac{I_\text{K1}+I_\text{to}+I_\text{Kr}+I_\text{Ks}-2I_\text{NaK}+I_\text{pK}+I_\text{stim}-I_\text{ax}}{V_cF},
\end{equation}
but $I_\text{ax}=0$ and it is $-I_\text{stim}$ in the code(do not know why). For calcium the change is modeled more complicated. We need herefor:
\begin{itemize}
%\item Ca$_\text{itotal}$ it the total (free and buffered) cytoplasmic Ca$^{2+}$ concentration
%\item Ca$_\text{SRtotal}$ is the total SR Ca$^{2+}$ concentration
%\item Ca$_\text{SStotal}$ is the total diadic subspace Ca$^{2+}$ concentration
\item Ca$_\text{i}$ is the free cytoplasmic Ca$^{2+}$ concentration
\item Ca$_\text{SR}$ is the free SR Ca$^{2+}$ concentration
\item Ca$_\text{SS}$ is the free diadic subspace Ca$^{2+}$ concentration
\item $I_\text{rel}$ is CICR current
\item $I_\text{up}$ is SR Ca$^{2+}$ pump current
\item $I_\text{leak}$ is SR Ca$^{2+}$ leak current
\item $I_\text{xfer}$ is diffusive Ca$^{2+}$ current between diadic Ca$^{2+}$ subspace and bulc cytoplasm
\item $\bar{O}$ is propoertion of open $I_\text{rel}$ channels
\item $\bar{R}$ is proportion of closed $I_\text{rel}$ channels
\end{itemize}
The currents are computed via
\begin{align*}
I_\text{leak} &=V_\text{leak}(\text{Ca}_\text{SR} -\text{Ca}_i),\\
I_\text{up}&=\frac{V_\text{maxup}}{1+K_\text{up}^2/\text{Ca}_i^2},\\
I_\text{rel}&=V_\text{rel}\bar{O}(\text{Ca}_\text{SR}-\text{Ca}_\text{SS}),\\
I_\text{xfer}&=V_\text{xfer}(\text{Ca}_\text{SS} -\text{Ca}_i),
\end{align*}
with the constants $V_\text{leak}$, $V_\text{maxup}$, $K_\text{up}$, $V_\text{rel}$ and $V_\text{xfer}$ given in Table \ref{parameter}.
For the channels we have
\begin{align*}
\bar{O}&=\frac{k_1\text{Ca}_\text{SS}^2\bar{R}}{k_3+k_1\text{Ca}_\text{SS}^2},\\
\frac{d\bar{R}}{dt}&=-k_2\text{Ca}_\text{SS} \bar{R} + k_4 (1-\bar{R}),
\end{align*}
with
\begin{align*}
k_1&=\frac{k_{1'}}{k_\text{casr}},\\
k_2&=k_{2'} k_\text{casr}\\
k_\text{casr}&= \text{max}_\text{sr}-\frac{\text{max}_\text{sr}-\text{min}_\text{sr}}{1+(EC/\text{Ca}_\text{SR})^2}
\end{align*}
and the constants $k_{1'}$, $k_{2'}$, $k_3$, $k_4$, $\text{max}_\text{sr}$, $\text{min}_\text{sr}$ and $EC$ given in Table \ref{parameter}. 
To update the calcium concentration we need to update the Ca$_\text{SR}$, Ca$_\text{SS}$ and Ca$_\text{i}$ part. We have for ${\vartriangle}t$ given in ms
\begin{align*}
d\text{Ca}_\text{SR} &:={\vartriangle}t (I_\text{up}-I_\text{rel}-I_\text{leak}),\\
d\text{Ca}_\text{SS} &:={\vartriangle}t\Big( -\frac{I_\text{CaL}}{2V_\text{SS}F}+\frac{V_\text{SR}}{V_\text{SS}}I_\text{rel}-\frac{V_\text{C}}{V_\text{SS}}I_\text{xfer}\Big),\\
d\text{Ca}_\text{i } & := {\vartriangle}t \Big(-\frac{I_\text{bCa}+I_\text{pCa}-2I_\text{NaCa}}{2V_\text{C}F}+\frac{V_\text{SR}}{V_\text{SS}}(I_\text{leak}-I_\text{up})+I_\text{xfer}\Big),
\end{align*}
withe the constants $V_\text{SS}$, $V_\text{SR}$ and  $V_\text{C}$ given in Table \ref{parameter}. For all three parts the resting update procedure is simular so we write down the equations for $X=$Ca$_\text{SR}$, Ca$_\text{SS}$,Ca$_\text{i}$:
\begin{align*}
X_\text{buff} &= \frac{\text{Buf}_X X}{X+K_\text{bufX}},\\
b_X &=\text{Buf}_X - X_\text{buff} - dX -X+K_\text{bufX},\\
c_X &= K_\text{bufX}(X_\text{buff} +dX + X),\\
X= \frac{1}{2}\Big(\sqrt{b_X^2 + 4 c_X}-b_X\Big),
\end{align*}
with the constants $\text{Buf}_\text{SR}$, $\text{Buf}_\text{SS}$, $\text{Buf}_\text{C}$, $K_\text{bufSR}$, $K_\text{bufSS}$ and $K_\text{bufC}$ in Table \ref{parameter}.
The only exception is for Ca$_\text{i}$ because here the code uses to compute $b_X$ not $\text{Buf}_\text{C}= 0.2$. Instead the value is $ 0.201$ (why is not clear for me).
The dynamics can be found in \cite{zeng1995}.\\

In the code the handling with the constant $C_m$ is slightly different. In the Strang splitting part for the ODE model we only solve:
\begin{equation*}
\partial_t v = -  I_\text{ion}(v,w),
\end{equation*}
and get the capacitance into the equations via changing the following ion concentration updates:
\begin{align*}
\frac{d\text{Na}_i}{dt} &= -\frac{C_m(I_\text{Na}+I_\text{bNa}+3I_\text{NaK}+3I_\text{NaCa})}{V_cF},\\
\frac{d\text{K}_i}{dt} &= -\frac{C_m(I_\text{K1}+I_\text{to}+I_\text{Kr}+I_\text{Ks}-2I_\text{NaK}+I_\text{pK}+I_\text{stim}-I_\text{ax})}{V_cF},\\
d\text{Ca}_\text{SS} &={\vartriangle}t \Big(-\frac{C_mI_\text{CaL}}{2V_\text{SS}F}+\frac{V_\text{SR}}{V_\text{SS}}I_\text{rel}-\frac{V_\text{C}}{V_\text{SS}}I_\text{xfer}\Big)\\
d\text{Ca}_\text{i } & = {\vartriangle}t\Big( -\frac{C_m(I_\text{bCa}+I_\text{pCa}-2I_\text{NaCa})}{2V_\text{C}F}+\frac{V_\text{SR}}{V_\text{SS}}(I_\text{leak}-I_\text{up})+I_\text{xfer}\Big),
\end{align*}
while all other equations stay the same.
\begin{table}[H]
 \caption{Initial values for the variables}
\begin{tabular*}{\textwidth}[H]{r|r} \label{initial_conditions}
variable & value\\
\hline
$v_0$ & -85,23 mV\\
$m_0$ & 0.00172\\
$h_0$ & 0.7444\\
$j_0$ & 0.7045\\
$x_{r1,0}$ & 0.00621\\
$x_{r2,0}$ & 0.4712\\
$x_{s,0}$ & 0.0095\\
$r_0$ & 2.42e-08\\
$s_0$ & 0.999998\\
$d_0$ & 3.373e-05\\
$f_0$ & 0.7888\\
$f_{2,0}$ & 0.9755\\
$f_{Ca,0}$ & 0.9953\\
$\bar{R}$ & 0.9073\\
Ca$_0$ & 0.000126\\
CaSR$_0$ & 3.64\\
CaSS$_0$ & 0.00036\\
Na$_0$ & 8.604\\
K$_0$ & 136.89\\
\hline
 &                     
\end{tabular*}
\end{table}

\vspace{20mm}
\begin{table}
 \caption{setup constants for TenTusscher model}
\begin{tabular*}{\textwidth}[H]{r|r|r|r} \label{parameter}
constant & description &value&code\\
\hline
I$_\text{stim}$ & external current& 50 \textmu A mm$^{-3}$ & *V$_c=$ 0.8202 nA\\
$R$  & gas constant  & 8.3143 JK$^{-1}$mol$^{-1}$ & 8314.472\\
$T$ & temperature & 310 K&\\
$F$ & Faraday constant & 96.4867 C$/$mmol & 96485.3415\\
K$_o$ & Extracellular K$^+$ concentration & 5.4 mM&\\
Na$_o$ & Extracellular Na$^+$ concentration & 140 mM&\\
Ca$_o$ & Extracellular Ca$^{2+}$ concentration & 2 mM&\\
$G_\text{Na}$ & maximal $I_\text{Na}$ conductance & 14.838 nS$/$pF&\\
$G_\text{CaL}$ & maximal $I_\text{CaL}$ conductance & 1.75$^{-4}$ cm$^3$\textmu F$^{-1}$s$^{-1}$& 3.98e$^{-5}$\\
$G_\text{Ks}$ & maximal $I_\text{Ks}$ conductance&0.392 nS$/$pF &\\
$G_\text{to}$ & maximal $I_\text{to}$ conductance& 0.294 nS$/$pF &\\
$G_\text{Kr}$ & maximal $I_\text{Kr}$ conductance& 0.096 nS$/$pF & \\
$k_\text{NaCa}$& maximal $I_\text{NaCa}$  & 1.0 pA$/$pF&\\
$\gamma$&  voltage dependencd  parameter of $I_\text{NaCa}$ & 0.35&\\
$\alpha$& factor enhancing outward nature of $I_\text{NaCa}$ &2.5&\\
$k_\text{sat}$ & saturation factor for $I_\text{NaCa}$ & 0.1&\\
$\text{K}_\text{mNai}$& Na$_i$ half-saturation constant for $I_\text{NaCa}$ & 87.5 mM&\\
$\text{K}_\text{mCa}$& Ca$_i$ half-saturation constant for $I_\text{NaCa}$ & 1.38 mM&\\
$P_\text{NaK}$& maximal $I_\text{NaK}$ & 1.362 pA$/$pF&\\
$\text{K}_\text{mK}$& K$_o$ half-saturation constant for $I_\text{NaK}$ & 1 mM&\\
$\text{K}_\text{mNa}$& Na$_i$ half-saturation constant for $I_\text{NaK}$& 40mM&\\
$G_\text{pCa}$ & maximal $I_\text{pCa}$ conductance & 0.025 nS$/$pF&\\
$\text{K}_\text{pCa}$ & Ca$_i$ half-saturation constant of $I_\text{pCa}$ & 0.0005 mM&\\
$G_\text{pK}$ & maximal $I_\text{pK}$ conductance  & 0.0146 nS$/$pF&\\
$G_\text{bNa}$ & maximal $I_\text{bNa}$ conductance  & 0.00029 nS$/$pF&\\
$G_\text{bCa}$ & maximal $I_\text{bCa}$ conductance  & 0.000592 nS$/$pF&\\
$G_\text{K1}$& maximal $I_\text{K1}$ conductance  & 5.405 nS$/$pF&\\
$p_\text{KNa}$ & relative $I_\text{Ks}$ permeability to Na$^+$ & 0.03&\\
$V_c$ & cytoplasmic volume& 16.404 \textmu m$^{3}$& 0.016404\\
$V_\text{leak}$ & maximal $I_\text{leak}$ conductance& 0.00036 mM$/$ms& \\
$V_\text{maxup}$& maximal $I_\text{up}$ conductance& 0.006375mM$/$ms&  \\
$K_\text{up}$ & half saturation constant of $I_\text{up}$ & 0.00025 mM& \\%$K_\text{up}^2=6.25e^{-8}$ \\
$V_\text{rel}$ & maximal $I_\text{rel}$ conductance& 40.8 mM$/$ms& 0.102 \\
$V_\text{xfer}$ & maximal $I_\text{xfer}$ conductance&0.0038 mM$/$ms & 32\\
$k_{1'}$& $\bar{R}$ to $\bar{O}$ and RI to I $I_\text{rel}$ transition rate& 0.15& \\
$k_{2'}$ & $\bar{O}$ to $I$ and $\bar{R}$ to RI $I_\text{rel}$ transition rate& 0.045&\\
$k_{3}$ & $\bar{O}$ to $\bar{R}$ and I to RI $I_\text{rel}$ transition rate& 0.06&\\
$k_{4}$ & I to $\bar{O}$ and RI to I $I_\text{rel}$ transition rate& 0.000015ms$^{-1}$& 0.005\\
$\text{max}_\text{sr}$&maximum value of  $k_\text{casr}$ &2.5&\\
$\text{min}_\text{sr}$ &minimum value of  $k_\text{casr}$ &1&\\
$EC$&Ca$_\text{SR}$ half-saturation  constant of $k_\text{casr}$ & 1.5 mM&\\
$V_\text{SS}$& subspace volume &0.05468 \textmu m $^3$ & 5.468e$^{-5}$  \\
$V_\text{SR}$ & sarcoplasmic reticulum volume& 1.094 \textmu m$^3$& 0.001094 \\
$\text{Buf}_\text{SR}$& total sarcoplasmic buffer concentration& 10 mM&\\
$\text{Buf}_\text{SS}$& total subspace buffer concentration& 0.4 mM&\\
$\text{Buf}_\text{C}$& total cytoplasmic buffer concentration& 0.2mM\\
$K_\text{bufSR}$& Ca$_\text{SR}$  half-saturation constant for sarcoplasmic buffer& 0.3 mM&\\
$K_\text{bufSS}$& Ca$_\text{SR}$  half-saturation constant for subspace buffer& 0.00025 mM&\\
$K_\text{bufC}$& Ca$_\text{i}$  half-saturation constant for cytoplasmic buffer& 0.001 mM &\\
\hline
 & &   &                    
\end{tabular*}
\end{table}

For the atria we used the following Courtemanche Model:


\section{Cell model Courtemanche}

The time derivative of the potential $V$ is given by
\begin{equation*}
\frac{\dV}{\dt} = \frac{-(I_\text{ion}(V,\vec w)+I_\text{stim}(t,x))}{C_\text{m}},
\end{equation*}
where $C_\text{m}$ is the membran capacitance, $I_\text{ion}$ the total ionic current depending on the potential $V$ and the gating variables $\vec w$ and $I_\text{stim}(t,x)$ is the stimulus current flowing across the memrane depending on time $t$ and space $x$. The total ionic current is determined by the following equation
\begin{align*}
I_\text{ion}(V,\vec w) &= I_\text{Na}(m,h,j)+I_\text{CaL}(d,f,f_\text{Ca})+I_\text{Ks}(x_s)+I_\text{to}(o_a,o_i)\\
&~~~ +I_\text{Kr}(x_r)+I_\text{K ur}(u_a,u_i)+I_\text{NaCa}()+I_\text{NaK}()+I_\text{pCa}\\
&~~~ +I_\text{K1}+I_\text{bCa}()+I_\text{bNa}()
\end{align*}
with the gating variables 
\begin{equation*}
\vec w = (m,h,j,o_a,o_i,u_a,u_i,x_r,x_s,d,f,f_\text{Ca})^T.
\end{equation*}
Every gating variable $y$ in $\vec w$ is computed by:
\begin{equation}
\frac{\dy}{\dt} = \frac{y_{\infty}-y}{\tau_y}.
\end{equation} 
The  values for  $y_{\infty}$  and $\tau_y$ specified in the description of the corresponding currents.
Also, the reversal potential is defined by
\begin{align}\label{Es}
E_X &= \frac{RT}{zF}\text{log}\frac{X_o}{X_i}\qquad\text{for} ~X=\text{Na}^+, \text{K}^+,\text{Ca}^{2+}.
\end{align}
In the following sections we write $RT$ for $(RT)$.
\subsection{Ion-concentration updates}
For sodium we have:
\begin{equation}
\frac{d\text{Na}_i}{\dt} = -\frac{I_\text{Na}+I_\text{bNa}+3I_\text{NaK}+3I_\text{NaCa}}{FV_i},
\end{equation}
where $V_i$ is the intracellular volume. For potassium the concentration change is
\begin{equation}
\frac{d\text{K}_i}{dt} = -\frac{-2I_\text{NaK}+I_\text{K1}+I_\text{to}+I_\text{K ur}+I_\text{Kr}+I_\text{Ks}+I_\text{bK}}{FV_i},
\end{equation}
The calcium ion  concentration update is 
\begin{equation}
\frac{d\text{Ca}_i}{\dt} = 
\end{equation}


\subsection{Fast Na$^+$ current - $I_\text{Na}$}
We have
\begin{equation}
I_\text{Na}=g_\text{Na}m^3hj(V-E_\text{Na}),
\end{equation}
where $g_\text{Na}$is a constant and $E_\text{Na}$ is computed as explained in  \eqref{Es}. The values needed for the gating varialbe $m$ are given by
\begin{align*}
\alpha_m &=,\\
\beta_m &= ,\\
\end{align*}
the gating variable $h$
\begin{align*}
\alpha_h &=,\\
\beta_h &= ,\\
\end{align*}
and the gating varibale $j$
\begin{align*}
\alpha_j &=,\\
\beta_j &= , \\ 
\end{align*}
and
\begin{equation}
\tau_{\Phi} = (\alpha_{\Phi}+\beta_ {\Phi})^{-1},~ \Phi_{\infty} = \alpha_{\Phi}\tau_{\Phi}, \qquad for ~\Phi = m,h,j
\end{equation}

\subsection{Time-independent K$^+$ current - $I_\text{K1}$}
We have
\begin{equation}
I_\text{K1} = \frac{g_\text{K1}(V-E_\text{K}}{1+\text{exp}\big(0.07(V+80)\big)}  
\end{equation}
where $g_\text{K1}$ is a constant and $E_\text{K}$ is computed as in \eqref{Es}. 


\subsection{Transient outward current - $I_\text{to}$}
We have
\begin{equation}
I_\text{to} = g_\text{to}o_a^3o_i(V-E_\text{K}),
\end{equation}
where $g_\text{to}$ is a constant and $E_\text{K}$ is computed as in \eqref{Es}. The gating variable $o_a$ is completed via
\begin{align*}
\alpha_{o_a}= ,\\
\beta_{o_a}= ,\\
\tau_{o_a}= (\alpha_{o_a} + \beta_{o_a})^{-1}/K_{Q_{10}},\\
o_{a, \infty}= ,
\end{align*}
\textcolor{red}{was ist $K_{Q_{10}}$???}
and $o_i$ via
\begin{align*}
\alpha_{o_i}= ,\\
\beta_{o_i}= ,\\
\tau_{o_i}= (\alpha_{o_i} + \beta_{o_i})^{-1}/K_{Q_{10}},\\
o_{i, \infty}= ,
\end{align*}

\subsection{Ultrarapid delayed Rectifier K$^+$ current - $I_\text{K ur}$}
We have
\begin{equation}
I_\text{K ur} = g_\text{K ur}u_a^3u_i(V-E_\text{K}),
\end{equation}
where  $E_\text{K}$ is computed as in \eqref{Es} and $g_\text{K ur}$ is determined by
\begin{equation*}
g_\text{K ur} = .
\end{equation*}
The gating variable $u_a$ is completed via
\begin{align*}
\alpha_{u_a}= ,\\
\beta_{u_a}= ,\\
\tau_{u_a}= (\alpha_{u_a} + \beta_{u_a})^{-1}/K_{Q_{10}},\\
u_{a, \infty} = ,
\end{align*}
and $u_i$ via
\begin{align*}
\alpha_{u_i}= ,\\
\beta_{u_i}= ,\\
\tau_{u_i}= (\alpha_{u_i} + \beta_{u_i})^{-1}/K_{Q_{10}},\\
u_{i, \infty}= ,
\end{align*}

\subsection{Rapid delayed rectifier K$^+$ current - $I_\text{Kr}$}
We have
\begin{equation}
I_\text{Kr} = \frac{g_\text{Kr} x_r(V-E_\text{K})}{1+\text{exp}\Big(\frac{V+15}{22.4}\Big)},
\end{equation}
where $g_\text{Kr}$ is a constant and $E_\text{K}$ is computed as in \eqref{Es}. The gating variable $x_{r}$ is completed via
\begin{align*}
x_{r,\infty}&=\\
\alpha_{x_{r}} &= \\
\beta_{x_{r}} &=\\
\tau_{x_{r}} &=(\alpha_{x_{r}} +\beta_{x_{r}})^{-1}.
\end{align*}

\subsection{Slow delayed rectifier K$^+$  current - $I_\text{Ks}$}
We have
\begin{equation}
I_\text{Ks} = g_\text{Ks}x_s^2(V-E_\text{K}),
\end{equation}
where $g_\text{KS}$ is a constant and $E_\text{K}$ is computed as in   \eqref{Es}.
The values needed for the gating variable $x_s$ are 
\begin{align*}
x_{s,\infty} &=\\
\alpha_{x_s} &=\\
\beta_{x_s} &= \\
\tau_{x_s} &= \frac{1}{2}(\alpha_{x_s}+\beta_{x_s})^{-1}.
\end{align*}




\subsection{L-type Ca$^2+$ current - $I_\text{CaL}$}
We have 
\begin{equation}
I_\text{CaL} = g_\text{CaL}dff_\text{Ca}(V-65)
\end{equation}
where $ G_\text{CaL}$ and Ca$_o$ are constants given in Table \ref{parameter}.
The values needed to compute the gating variable $d$ are
\begin{align*}
d_\infty &=\\
\tau_d &= ,
\end{align*}
the gating variable $f$
\begin{align*}
f_\infty &=\\
\tau_f &= ,
\end{align*}
and $f_\text{Ca}$
\begin{align*}
f_{\text{Ca},\infty} &=\\
\tau_{f_\text{Ca}} &= 2.
\end{align*} 


\subsection{Na$^+$/K$^+$ pump currrent - $I_\text{NaK}$}
We have 
\begin{equation}
I_\text{NaK} = ,
\end{equation}

\subsection{Na$^+$/Ca$^{2+}$ exchanger current - $I_\text{NaCa}$}
We have 
\begin{equation}
I_\text{NaCa}=,
\end{equation}


\subsection{Background currents - $I_\text{bNa}$ and $I_\text{bCa}$}
\begin{align*}
I_\text{bNa} & = g_\text{bNa}(V-E_\text{Na}), \\
I_\text{bCa} &= g_\text{bCa}(V-E_\text{Ca}),
\end{align*}
with the constants $g_\text{bNa}$ and $g_\text{bCa}$. The reversal potentials $E_\text{Na}$ and $E_\text{Ca}$ are computed as in \eqref{Es}.


\subsection{Ca$^{2+}$ Pump Current - $I_\text{pCa}$ }
\begin{equation*}
I_\text{pCa} = ;
\end{equation*}

Was noch fehlt: Die Calcium Geschichte



